Page MenuHomePhabricator

MobileFrontend automated browser tests failing due to user being blocked from editing
Closed, ResolvedPublic

Description

Two tests in selenium-MobileFrontend build #562 failed with the following error:

You have been blocked from editing. (blocked) (MediawikiApi::ApiError)

Event Timeline

phuedx created this task.Sep 19 2017, 3:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 3:53 PM
pmiazga renamed this task from MinervaNeue automated browser tests failing due to user being blocked from editing to MobileFrontend automated browser tests failing due to user being blocked from editing.Sep 20 2017, 12:07 AM
pmiazga edited projects, added MobileFrontend; removed MinervaNeue.
greg added a comment.Sep 21 2017, 4:02 PM

(sorry about that, an over eager volunteer didn't know what Selenium user was)

phuedx closed this task as Resolved.Sep 21 2017, 4:09 PM
phuedx claimed this task.

Per T176222#3624783. Thanks, @greg!

greg added a comment.Sep 21 2017, 4:25 PM

@TheDJ I didn't do that because of this:
19:18, 30 September 2016 Jdlrobson (talk | contribs | block) deleted page User:Selenium user (User page is not needed and interferes with certain MobileFrontend tests) (view/restore)

@Jdlrobson is the test on [[User:Selenium user]] ok now? Will it break some MFE tests still?

phuedx reopened this task as Open.Sep 21 2017, 5:04 PM

Sorry T176222#3624819 was overly zealous. The MinervaNeue tests are failing due to page protection issues: https://integration.wikimedia.org/ci/job/selenium-MinervaNeue/127/

greg added a comment.Sep 21 2017, 5:51 PM

The failing runs were from 23 hours ago, I just fixed the mess this morning, hopefully this next run will be successful :)

phuedx closed this task as Resolved.Sep 22 2017, 9:15 AM
phuedx added a subscriber: Legoktm.

There are a couple of MobileFrontend/MinervaNeue automated browser tests that're still failing but not due to being unable to create pages. I'll create a follow-on task about the 1 failure that isn't due to a timeout. Thanks, @greg and @Legoktm!